scala.collection.parallel

# ThreadPoolTasks

#### trait ThreadPoolTasks extends Tasks

An implementation of tasks objects based on the Java thread pooling API.

Annotations
  @deprecated
Deprecated

  (Since version 2.11.0) Use `ForkJoinTasks` instead.

Source
  Tasks.scala

Linear Supertypes
Tasks, AnyRef, Any
Known Subclasses
AdaptiveWorkStealingThreadPoolTasks, ThreadPoolTaskSupport
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ThreadPoolTasks
2. Tasks
3. AnyRef
4. Any

Implicitly

1. by CollectionsHaveToParArray
2. by any2stringadd
3. by StringFormat
4. by Ensuring
5. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### trait WrappedTask[R, +Tp] extends Runnable with ThreadPoolTasks.WrappedTask[R, Tp]

### Abstract Value Members

1. #### abstract val environment: ThreadPoolExecutor

   The type of the environment is more specific in the implementations.

   The type of the environment is more specific in the implementations.

   Definition Classes
     ThreadPoolTasks → Tasks

2. #### abstract def newWrappedTask[R, Tp](b: Task[R, Tp]): WrappedTask[R, Tp]

   Attributes
     protected

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from ThreadPoolTasks to any2stringadd[ThreadPoolTasks] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (ThreadPoolTasks, B)

   Implicit information
     This member is added by an implicit conversion from ThreadPoolTasks to ArrowAssoc[ThreadPoolTasks] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def ensuring(cond: (ThreadPoolTasks) ⇒ Boolean, msg: ⇒ Any): ThreadPoolTasks

   Implicit information
     This member is added by an implicit conversion from ThreadPoolTasks to Ensuring[ThreadPoolTasks] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

9. #### def ensuring(cond: (ThreadPoolTasks) ⇒ Boolean): ThreadPoolTasks

   Implicit information
     This member is added by an implicit conversion from ThreadPoolTasks to Ensuring[ThreadPoolTasks] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

10. #### def ensuring(cond: Boolean, msg: ⇒ Any): ThreadPoolTasks

    Implicit information
      This member is added by an implicit conversion from ThreadPoolTasks to Ensuring[ThreadPoolTasks] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: Boolean): ThreadPoolTasks

    Implicit information
      This member is added by an implicit conversion from ThreadPoolTasks to Ensuring[ThreadPoolTasks] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

14. #### def execute[R, Tp](task: Task[R, Tp]): () ⇒ R

    Executes a task and returns a future.

    Executes a task and returns a future. Forwards an exception if some task threw it.

    Definition Classes
      ThreadPoolTasks → Tasks

15. #### def executeAndWaitResult[R, Tp](task: Task[R, Tp]): R

    Executes a result task, waits for it to finish, then returns its result.

    Executes a result task, waits for it to finish, then returns its result. Forwards an exception if some task threw it.

    Definition Classes
      ThreadPoolTasks → Tasks

16. #### def executor: ThreadPoolExecutor

17. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

18. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from ThreadPoolTasks to StringFormat[ThreadPoolTasks] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

19. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

20. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

21. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

22. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

23. #### final def notify(): Unit

    Definition Classes
      AnyRef

24. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

25. #### def parallelismLevel: Int

    Retrieves the parallelism level of the task execution environment.

    Retrieves the parallelism level of the task execution environment.

    Definition Classes
      ThreadPoolTasks → Tasks

26. #### def queue: LinkedBlockingQueue[Runnable]

27. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

28. #### def toParArray: ParArray[T]

    Implicit information
      This member is added by an implicit conversion from ThreadPoolTasks to CollectionsHaveToParArray[ThreadPoolTasks, T] performed by method CollectionsHaveToParArray in scala.collection.parallel. This conversion will take place only if an implicit value of type (ThreadPoolTasks) ⇒ GenTraversableOnce[T] is in scope.
    Definition Classes
      CollectionsHaveToParArray

29. #### def toString(): String

    Definition Classes
      AnyRef → Any

30. #### var totaltasks: Int

31. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### def →[B](y: B): (ThreadPoolTasks, B)

    Implicit information
      This member is added by an implicit conversion from ThreadPoolTasks to ArrowAssoc[ThreadPoolTasks] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Tasks

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion CollectionsHaveToParArray from ThreadPoolTasks to CollectionsHaveToParArray[ThreadPoolTasks, T]

### Inherited by implicit conversion any2stringadd from ThreadPoolTasks to any2stringadd[ThreadPoolTasks]

### Inherited by implicit conversion StringFormat from ThreadPoolTasks to StringFormat[ThreadPoolTasks]

### Inherited by implicit conversion Ensuring from ThreadPoolTasks to Ensuring[ThreadPoolTasks]

### Inherited by implicit conversion ArrowAssoc from ThreadPoolTasks to ArrowAssoc[ThreadPoolTasks]

### Ungrouped